Subject: Re: bug#41129: outline-mode: New keybindings for demote/promote/move-subtree

From: Howard Melman <[email-masked]>
Date: Sat, 30 Jan 2021 13:48:38 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Howard Melman <[email-masked]>
>> Date: Sat, 30 Jan 2021 12:39:52 -0500
>> 
>> the command right-word, which is only useful when editing
>> bidirectional
>
> This assertion is incorrect.  The real goal of right-word is to
> provide a command that works as users expect in both left-to-right and
> right-to-left contexts.  The alternative would be to request that the
> user should decide whether to use M-f or M-b to go in a particular
> direction, and that's a non-starter.

I stand corrected.  I'm a left-to-right only user and I
won't make the case that that is more important, merely that
I'm unfamiliar with the specifics of other users.

>> is so important it needs TWO very similar default key bindings
>> (M-right and C-right)
>
> This command has two bindings not because of its importance, but
> because other programs out there use those bindings.  Emacs is
> following the expectations of the users here.

Ok, but in emacs they expect and need both?  How do they
adjust in org mode? Or is this a complaint that users of
right-word have in org-mode? Would users of
outline-minor-mode adjust similarly?

Does outline-mode support right-to-left oriented outlines?
Does org?  I'm guessing not because then these arrow key
bindings would want to adjust demote/promote behavior
accordingly.  Should they?

Maybe these bindings could be in another minor-mode that
could be enabled by those users that want them?
outline-use-org-bindings-minor-mode. 

-- 

Howard